Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class NeuralNetEvent

    java.lang.Object
      java.util.EventObject
          org.joone.engine.NeuralNetEvent

All Implemented Interfaces:
  java.io.Serializable

    public class NeuralNetEvent

extends java.util.EventObject

Transport class used to notify the events raised from a neural network

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`NeuralNetEvent(Monitor source)` The event constructor

Method Summary
`NeuralNet` | `getNeuralNet()` Getter for the NeuralNet generating this event.
`void` | `setNeuralNet(NeuralNet nnet)` Setter for the NeuralNet generating this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NeuralNetEvent

    public NeuralNetEvent(Monitor source)

  The event constructor

  Parameters:
    `source` - The object generating this event. Normally it is the neural network's Monitor

Method Detail

### getNeuralNet

    public NeuralNet getNeuralNet()

  Getter for the NeuralNet generating this event. Warning: Use this method ONLY if the event has been raised by an org.joone.helpers class, otherwise you could get a null value.

  Returns:
    The neural network generating this event
  Since:
    1.2.2

### setNeuralNet

    public void setNeuralNet(NeuralNet nnet)

  Setter for the NeuralNet generating this event.

  Parameters:
    `nnet` - The neural network generating this event
  Since:
    1.2.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net